Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Refcountable.h File Reference

`#include "notify_export.h"`
`#include "tao/orbconf.h"`
`#include "tao/Basic_Types.h"`
`#include "ace/Synch_Traits.h"`
`#include "ace/Thread_Mutex.h"`

Include dependency graph for Refcountable.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Notify_Refcountable
| Thread-safe refounting, calls the <release> method when refcount falls to 0. More...